#!/bin/bash

# Function to check if we should run the update
checkIfOSUpdateShouldRun() 
{
    if ! command -v sqlite3 &> /dev/null; then
        isNotice "sqlite3 command not found. Make sure it's installed."
    elif [ ! -f "$docker_dir/$db_file" ]; then
        isNotice "Database file not found: $docker_dir/$db_file"
    else
        local table_name="sysupdate"
        local latest_timestamp=$(runInstallOp sqlite3 "$docker_dir/$db_file" "SELECT datetime(date || ' ' || time) FROM \"$table_name\" ORDER BY date DESC, time DESC LIMIT 1;")

        if [[ -n "$latest_timestamp" ]]; then
            local latest_timestamp_unix=$(date -d "$latest_timestamp" +%s)
            local current_timestamp_unix=$(date +%s)
            local time_difference=$((current_timestamp_unix - latest_timestamp_unix))
            local threshold=$(($CFG_UPDATER_CHECK * 60))

            if ((time_difference >= threshold)); then
                runInstallOp sqlite3 "$docker_dir/$db_file" "UPDATE \"$table_name\" SET date='$current_date', time='$current_time' WHERE ROWID=1;"
            fi
        else
            runInstallOp sqlite3 "$docker_dir/$db_file" "INSERT INTO \"$table_name\" (date, time) VALUES ('$current_date', '$current_time');"
        fi
    fi
}
